Subject: Re: bug#57373: 28.1; authinfo keyword smtp-auth does not work

From: Robert Pluim <[email-masked]>
Date: Thu, 25 Aug 2022 11:47:09 +0200

>>>>> On Wed, 24 Aug 2022 15:20:48 +0000, John Kehayias via "Bug reports for GNU Emacs, the Swiss army knife of text editors" <[email-masked]> said:

    John> Hello Robert,
    John> Thanks for such a quick response and fix! Let me just add my use case
    John> being that some SMTP servers I use have different authentication
    John> methods, but will try and fail with the others. I could work around
    John> this by modifying the ordering in smtpmail-auth-supported, at least
    John> for my current sent of servers. Anyway, was happy to see this feature
    John> for exactly this reason.

SMTP AUTH is standard, except when itʼs not :-)

    John> I was able to send mail with
    John> smtp-auth specified in my authinfo.

Good to know. Iʼll push it to master once Lars is OK with it.

Thanks

Robert
--